package nova;

import javax.swing.*;
import java.awt.event.*;
import java.awt.FlowLayout;
import java.awt.Container;

/** Dialog called when a SystemDump has to be downloaded from NOVA
 */
public class GetSystemDumpDialog extends JDialog implements ActionListener {

    NovaManager parent;
    JComboBox nova = new JComboBox();

	
    public GetSystemDumpDialog(NovaManager nm) {
	super(nm, "Get a System Dump from Nova", true);
	parent = nm;

	JButton btnGet = new JButton("Get System Dump");
	btnGet.setActionCommand("get");
	btnGet.addActionListener(this);

	java.awt.Container p = this.getContentPane();
	p.setLayout( new FlowLayout());
	
	//p.add(new JLabel("Select your Nova (SysexID)"));
	//p.add(nova);

	p.add(btnGet);
	setVisible(false);
    }

    void open() {
	/*
	nova.removeAllItems();
	java.util.List novas = parent.getNovas();
	for (int i=0; i<novas.size(); i++) {
	    nova.addItem( novas.get( i ));
	}
	*/
	pack();	
	setVisible(true);
    }

    void openAlone() {
	/*
	nova.removeAllItems();
	
	nova.addItem( new Integer(0));
	nova.addItem( new Integer(1));
	nova.addItem( new Integer(2));
	nova.setSelectedIndex(0);
	*/
	pack();	
	setVisible(true);
    }

    public void actionPerformed(ActionEvent e) {
	String command = e.getActionCommand();
	
	if (command.equals("get")) {
	    Integer id = (Integer)parent.getCurrentSysExID();
	  	    
	    parent.getSystemDump(id.byteValue());
	    setVisible( false );
	}
    }

    public static void main(String[] args) {
	NovaManager nm = new NovaManager();
	GetSystemDumpDialog gsdd = new GetSystemDumpDialog(nm);
	gsdd.openAlone();
    }
}