package nova;

/** The Levels Block
 * Extension of Block class to manage Levels parameters
 * in SystemDump
 * Does nothing more than gathering Nibbles 
 * (display is done directly in SystemDump)
 */
public class Levels extends Block {

    public Levels(SystemDump par) {	
	super("Levels", par);
	rowspan = 3;
	activeNibbles = new int[] { 49, 50, 36, 45,
				    43, 46, 44, 47, 
				    48, 37, 42, 40};

	for (int i=0; i<activeNibbles.length; i++)
	    nibbles.add( system.getNibble( activeNibbles[i] ) );
    }

    /* reformat the widgets */
    void refresh() {
    }

}

