package nova;

/** The Tuner Block
 * Extension of Block class to manage Tuner parameters
 * in SystemDump
 * Does nothing more than gathering Nibbles 
 * (display is done directly in SystemDump)
 */
public class Tuner extends Block {

    public Tuner(SystemDump par) {	
	super("Tuner", par);
	rowspan = 2;

	activeNibbles = new int[] { 52, 53, 54, 55 };

	for (int i=0; i<activeNibbles.length; i++)
	    nibbles.add( system.getNibble( activeNibbles[i] ) );
    }

    /* reformat the widgets */
    void refresh() {
    }

}

