package nova;

/** The CurrentPreset Block
 * Extension of Block class to manage CurrentPreset parameters
 * in SystemDump
 * Does nothing more than gathering Nibbles 
 * (display is done directly in SystemDump)
 */
public class CurrentPreset extends Block {

    public CurrentPreset(SystemDump par) {	
	super("Current Preset", par);

	activeNibbles = new int[] { 57 };

	for (int i=0; i<activeNibbles.length; i++)
	    nibbles.add( system.getNibble( activeNibbles[i] ) );    
    }

    /* reformat the widgets */
    void refresh() {
    }

}

