package nova;

import javax.swing.UIManager;

/* Specific Application for MacOSX
 * Use a specific Midi Interface to work around a problem 
 * in Javax midi implementation
 */
public class NovaManagerMac extends NovaManager {
        
    public NovaManagerMac() {
	super();
    }

    void init() {
	mi = new MidiMacInterface(this);
	Thread a = new Thread(mi);
	a.start();
    }

    public static void main(String[] args) {
	System.setProperty("Quaqua.tabLayoutPolicy","wrap");
	System.setProperty("apple.laf.useScreenMenuBar","true");

	try { 
	    UIManager.setLookAndFeel(ch.randelshofer.quaqua.QuaquaManager.getLookAndFeel());
	} catch (Exception e) {
	    System.out.println("Quaqua Look'n'Feel not found");
	}
	NovaManagerMac nm = new NovaManagerMac();
    }
}
			

