package nova;

/** The Pedal Block
 * Extension of Block class to manage (Volume) Pedal parameters
 * in SystemDump
 * Does nothing more than gathering Nibbles 
 * (display is done directly in SystemDump)
 */
public class Pedal extends Block {

    public Pedal(SystemDump par) {	
	super("Pedal", par);
	activeNibbles = new int[] {7, 6, 3, 4, 5, 
				   61, 62, 63};

	for (int i=0; i<activeNibbles.length; i++)
	    nibbles.add( system.getNibble( activeNibbles[i] ) );
    }

    /* reformat the widgets */
    void refresh() {
    }

}

