package nova;

/** The Routing Block
 * Extension of Block class to manage Routing parameters
 * in SystemDump
 * Does nothing more than gathering Nibbles 
 * (display is done directly in SystemDump)
 */
public class Routing extends Block {

    public Routing(SystemDump par) {	
	super("Routing", par);
	rowspan = 2;

	activeNibbles = new int[] { 1, 2, 51 };
	for (int i=0; i<activeNibbles.length; i++)
	    nibbles.add( system.getNibble( activeNibbles[i] ) );
    }

    /* reformat the widgets */
    void refresh() {
    }

}

