package nova;

import javax.swing.*;
import java.util.*;

/** A Nibble is a MIDI value encoded on 4 bytes.
    Bits 8 and 16 are non significant.
    Value can be negative.
    In NOVA System, Min is -200 ; Max is 241 (EqFreq).
    A short is enough.

    Nibble is also a Component with a Label, a type and a field value
    
*/
public class RoutingModel extends SpinnerListModel {
    final static String[] vals = {"SemiPar", "Serial", "Parallel"};

    public RoutingModel(int init) {
	super();
	setList(  Arrays.asList(vals) );
	setValue( vals[init] );
    }
    
}