package nova;

/** The TapTempo Block
 * Extension of Block class to manage TapTempo parameters
 * in SystemDump
 * Does nothing more than gathering Nibbles 
 * (display is done directly in SystemDump)
 */
public class TapTempo extends Block {

    public TapTempo(SystemDump par) {	
	super("Tap Tempo", par);
	rowspan = 2;

	activeNibbles = new int[]{ 28, 41, 27 };

	for (int i=0; i<activeNibbles.length; i++)
	    nibbles.add( system.getNibble( activeNibbles[i] ) );

    }

    /* reformat the widgets */
    void refresh() {
    }

}

