package nova;

/** The Utility Block
 * Extension of Block class to manage Utility parameters
 * in SystemDump
 * Does nothing more than gathering Nibbles 
 * (display is done directly in SystemDump)
 */
public class Utility extends Block {

    public Utility(SystemDump par) {	
	super("Utility", par);
	rowspan = 1;

	activeNibbles = new int[] {39, 29, 30, 31,
				   32, 33, 35, 34};

	for (int i=0; i<activeNibbles.length; i++)
	    nibbles.add( system.getNibble( activeNibbles[i] ) );

	
	// nibbles.add( system.getNibble(39) );
// 	nibbles.add( system.getNibble(29) );
// 	nibbles.add( system.getNibble(30) );
// 	nibbles.add( system.getNibble(31) );
	
// 	nibbles.add( system.getNibble(32) );
// 	nibbles.add( system.getNibble(33) );
// 	nibbles.add( system.getNibble(35) );
// 	nibbles.add( system.getNibble(34) );
    }

    /* reformat the widgets */
    void refresh() {
    }

}

